#include "config.h"

__kernel void matmul(__global T* A, __global T* B, __global T* C, int n) {

    int i = get_global_id(0);                                           
    int j = get_global_id(1);                                           

    if (i>=n || j>=n) return;

    T sum = 0;
    for (int k=0; k<n; k++) sum += A[i*n+k]*B[k*n+j];
    C[i*n+j] = sum;
}
