__kernel void prefsum2(__global int* v, int n) {
    int i = get_global_id(0);
    if (i >= n) return;
    for (int offset = 1; offset <= i; offset <<= 1) {
        int x = v[i] + v[i-offset];
        barrier(CLK_GLOBAL_MEM_FENCE);
        v[i] = x;
        barrier(CLK_GLOBAL_MEM_FENCE);
    }
}
